UiPath Documentation
test-cloud
latest
false
Importante :
La localización de contenidos recién publicados puede tardar entre una y dos semanas en estar disponible.

Guía de la API de Test Cloud

Get Tenant Consumption Summary by Tenant

Use this endpoint to retrieve the consumption summary for a specific tenant in your organization.

Punto final de API

POST {accessURL}/lease_/api/usage/{organizationId}/tenants/{tenantId}/consumption-summary

Sustituye {accessURL} en todas las rutas de los puntos finales por la URL base de tu plataforma en la nube:

Cloud PlatformURL de acceso
Test Cloudhttps://cloud.uipath.com/
Test Cloud Sector Públicohttps://govcloud.uipath.us/
Test Cloud Dedicadohttps://{customURL}.dedicated.uipath.com/

Solicitar encabezados.

--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
Nota:

Para obtener el {access_token}, asegúrate de autenticarte a través del método ROPC descrito aquí.

Parámetros de ruta

Parámetros de rutaTipo de datosDescripción
organizationId (obligatorio)Cadena (GUID)El ID de la organización en la que reside su tenant.
tenantId (obligatorio)Cadena (GUID)The ID of the tenant for which to retrieve the consumption summary.

Solicitar cuerpo

The request body specifies the date range and the consumable code for which to retrieve the summary. The tenant is determined by the {tenantId} path parameter. For a detailed list of consumable codes, refer to Consumables.

{
  "startDate": 0,
  "endDate": 0,
  "consumableCode": "string"
}
{
  "startDate": 0,
  "endDate": 0,
  "consumableCode": "string"
}
Nota:

startDate and endDate are Unix timestamps in milliseconds.

Respuesta

200 OK

Returns the consumption summary for the specified tenant.

Solicitud de ejemplo

La llamada debe parecerse al siguiente ejemplo (cURL):

curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/22222222-2222-2222-2222-222222222222/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
  "startDate": 1704067200000,
  "endDate": 1706745600000,
  "consumableCode": "consumption_unit_code"
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/22222222-2222-2222-2222-222222222222/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
  "startDate": 1704067200000,
  "endDate": 1706745600000,
  "consumableCode": "consumption_unit_code"
}'

Here's the response body for a successful consumption summary retrieval:

Nota:

consumedFromOrgWithoutTenant reflects consumption that occurs at the organization level without tenant context — it is not attributed to any specific tenant.

{
  "consumedFromOrgWithoutTenant": 0,
  "tenantConsumptionItems": [
    {
      "tenantId": "string",
      "consumedFromTenantPool": 0,
      "consumedFromOrgPool": 0
    }
  ]
}
{
  "consumedFromOrgWithoutTenant": 0,
  "tenantConsumptionItems": [
    {
      "tenantId": "string",
      "consumedFromTenantPool": 0,
      "consumedFromOrgPool": 0
    }
  ]
}
  • Punto final de API
  • Solicitar encabezados.
  • Parámetros de ruta
  • Solicitar cuerpo
  • Respuesta
  • 200 OK
  • Solicitud de ejemplo

¿Te ha resultado útil esta página?

Conectar

¿Necesita ayuda? Soporte

¿Quiere aprender? UiPath Academy

¿Tiene alguna pregunta? Foro de UiPath

Manténgase actualizado